# Interface CalculatorParserConstants

All Known Implementing Classes:
  `CalculatorParser, CalculatorParserTokenManager`

public interface CalculatorParserConstants
Token literal values and constants. Generated by org.javacc.parser.OtherFilesGen#start()

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `DECIMAL`
  RegularExpression Id.
  `static final int`
  `DEFAULT`
  Lexical state.
  `static final int`
  `DELIMITER`
  RegularExpression Id.
  `static final int`
  `DIGIT`
  RegularExpression Id.
  `static final int`
  `EOF`
  End of File.
  `static final int`
  `EOL`
  RegularExpression Id.
  `static final int`
  `IDENTIFIER`
  RegularExpression Id.
  `static final int`
  `IMAGINARY`
  RegularExpression Id.
  `static final int`
  `INTEGER`
  RegularExpression Id.
  `static final int`
  `INVALID_CHAR`
  RegularExpression Id.
  `static final int`
  `LETTER`
  RegularExpression Id.
  `static final String[]`
  `tokenImage`
  Literal token values.

- ## Field Details

  - ### EOF

    static final int EOF
    End of File.
    See Also:
      - Constant Field Values

  - ### INTEGER

    static final int INTEGER
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### DECIMAL

    static final int DECIMAL
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### DIGIT

    static final int DIGIT
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### IMAGINARY

    static final int IMAGINARY
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### IDENTIFIER

    static final int IDENTIFIER
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### LETTER

    static final int LETTER
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### DELIMITER

    static final int DELIMITER
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### EOL

    static final int EOL
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### INVALID_CHAR

    static final int INVALID_CHAR
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### DEFAULT

    static final int DEFAULT
    Lexical state.
    See Also:
      - Constant Field Values

  - ### tokenImage

    static final String[] tokenImage
    Literal token values.